#include "Sys_Scheduler_Lib.h"
#include "Dio.h"
#include "COM_CAN.h"
#include "SchM_Can.h"
#include "Port.h"
#include "CAN_CH0_CAN_Communication_Matrix.h"
void Sys_50us_Tasks(void)
{
    COM_TX_Process();
    // Port_SetToDioMode();
    // Port_SetToAlternateMode();
    // Dio_FlipChannel(DioConf_DioChannel_P56DioChannel);
}

void Sys_2ms_Tasks(void)
{
    
}

void Sys_5ms_Tasks(void)
{
    COM_RX_Process();
}

void Sys_10ms_Tasks(void)
{
    
}

void Sys_20ms_Tasks(void)
{
    // Can_MainFunction_Read();
}
uint32_t u32IOConvert;
void Sys_50ms_Tasks(void)
{
    uint8_t u8test;
    u8test = Get_CAN_CH0_ID_361_Sig_PRES_DSG();
    u8test++;
    u32IOConvert++;
    // if (u32IOConvert > 100)
    // {
        // Port_SetPinDirection(Port_Config_PortGroup24_PortPin13,PORT_PIN_IN);
        // Dio_WriteChannel(DioConf_DioChannel_P24_13,STD_LOW);
    // }
}

uint8_t g_u8secstatus = 0U;
uint8_t g_u8cnt = 0U;
void Sys_100ms_Tasks(void)
{
    // Dio_FlipChannel(DioConf_DioChannel_P56DioChannel);
    // Dio_FlipChannel(DioConf_DioChannel_P24_13);
    // g_u8secstatus++;
    // if (g_u8secstatus == 10)
    // {
    //     g_u8secstatus = 0;
        g_u8cnt++;
    // }
    Dio_FlipChannel(DioConf_DioChannel_P02_08);
}